## ocamlsdl 0.6.3

=== Makefile ===
#
# OCamlSDL - An ML interface to the SDL library
# Copyright (C) 1999  Frederic Brunel
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# $Id: Makefile,v 1.10 2002/11/06 23:02:07 oliv__a Exp $

all:
	$(MAKE) -C src

test: all
	$(MAKE) -C samples

doc: all
	$(MAKE) -C src doc

clean:
	$(MAKE) -C src clean
	$(MAKE) -C samples clean

distclean:
	$(MAKE) -C src distclean
	$(MAKE) -C samples distclean
	rm -f config.cache config.log config.status makefile.toplevel aclocal.m4

install:
	$(MAKE) -C src install

uninstall:
	$(MAKE) -C src uninstall

makefile.toplevel : configure ; $(error "please run ./configure")
configure : configure.in
	aclocal -I support
	autoconf

-include makefile.toplevel

.PHONY: all test clean distclean install uninstall
