## ocamlsdl 0.7.1

=== Makefile ===
--- 
+++ 
@@ -17,37 +17,48 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-# $Id: Makefile,v 1.10 2002/11/06 23:02:07 oliv__a Exp $
+# $Id: Makefile,v 1.19 2004/07/27 20:10:06 oliv__a Exp $
 
-all:
-	$(MAKE) -C src
+all doc clean install:
+	$(MAKE) -C src $@
+.PHONY: all doc clean install
 
-test: all
-	$(MAKE) -C samples
+include makefile.platform
+include makefile.config.$(OCAML_C_BACKEND)
 
-doc: all
-	$(MAKE) -C src doc
-
-clean:
-	$(MAKE) -C src clean
-	$(MAKE) -C samples clean
-
-distclean:
-	$(MAKE) -C src distclean
-	$(MAKE) -C samples distclean
-	rm -f config.cache config.log config.status makefile.toplevel aclocal.m4
-
-install:
-	$(MAKE) -C src install
-
-uninstall:
-	$(MAKE) -C src uninstall
-
-makefile.toplevel : configure ; $(error "please run ./configure")
+ifeq ($(OCAML_C_BACKEND),gcc)
+makefile.config.gcc : makefile.config.gcc.in configure
+	$(error "please run ./configure or edit makefile.platform")
 configure : configure.in
 	aclocal -I support
 	autoconf
+endif
 
--include makefile.toplevel
+DISTSRC := AUTHORS COPYING INSTALL INSTALL.win32 README NEWS \
+           Makefile META \
+           configure.in aclocal.m4 configure \
+           makefile.config.gcc.in makefile.config.msvc makefile.rules makefile.platform \
+           support/install-sh support/ocaml.m4 support/config.sub support/config.guess \
+	   src/sdl*.ml src/sdl*.mli src/sdl*.c src/sdl*.h \
+           src/common.c src/common.h src/mlsdl_main.c \
+           src/config.h.in src/config.h.msvc \
+	   src/Makefile src/.depend src/.depend_c \
+           doc/OCamlMakefile doc/Makefile doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
+           doc/html xpm_to_ml
+VERSION := 0.7.1
 
-.PHONY: all test clean distclean install uninstall
+# hackish targets to build tarballs
+dist : dist-zip dist-tgz
+dist-zip : ../ocamlsdl-$(VERSION).zip
+dist-tgz : ../ocamlsdl-$(VERSION).tar.gz
+.PHONY : dist dist-zip dist-tgz
+../ocamlsdl-$(VERSION).zip : $(DISTSRC)
+	export DIRNAME=$${PWD##*/} ; \
+	cd .. && mv $$DIRNAME ocamlsdl-$(VERSION) && \
+        zip -9l $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
+	mv ocamlsdl-$(VERSION) $$DIRNAME 
+../ocamlsdl-$(VERSION).tar.gz : $(DISTSRC)
+	export DIRNAME=$${PWD##*/} ; \
+	cd .. && mv $$DIRNAME ocamlsdl-$(VERSION) && \
+	tar zcvf $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
+	mv ocamlsdl-$(VERSION) $$DIRNAME
