=== doc/Makefile ===
OCAMLMAKEFILE = OCamlMakefile

SOURCES = foobar.ml
RESULT  = foobar

INCDIRS=+sdl 
LIBS=bigarray sdl
TRASH=*~

-include $(OCAMLMAKEFILE)
