## ocamlsdl 0.8.0

=== debian/changelog ===
ocamlsdl (0.8.0-2build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:28:03 -0600

ocamlsdl (0.8.0-2build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 May 2011 23:20:44 +0100

ocamlsdl (0.8.0-2) unstable; urgency=low

  * Add 0001-Fix-build-on-bytecode-architectures.patch (Closes: #586619)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Jun 2010 14:00:38 -0700

ocamlsdl (0.8.0-1) unstable; urgency=low

  * New upstream release
    - remove all patches
  * debian/control:
    - add myself to Uploaders
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Jun 2010 22:00:20 -0700

ocamlsdl (0.7.2-11) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source)
  * Add a patch to update config.{sub|guess} (Closes: #549998)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 17 Dec 2009 22:10:54 +0000

ocamlsdl (0.7.2-10) unstable; urgency=low

  * Rebuild with OCaml 3.11.
  * Add Homepage field.

 -- Samuel Mimram <smimram@debian.org>  Sun, 01 Mar 2009 21:18:38 +0100

ocamlsdl (0.7.2-9) experimental; urgency=low

  * Switch packaging to git.
  * Use predefined dh-ocaml variables.
  * Update standards version to 3.8.0.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Feb 2009 18:56:07 +0100

ocamlsdl (0.7.2-8) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Julien Cristau ]
  * Add missing dependencies of libsdl-ocaml-dev on the packages providing the
    various SDL libraries (closes: #471659).

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Samuel Mimram ]
  * Remove bashism from rules, closes: #484425.
  * Updated standards version to 3.7.3.
  * Remove empty /usr/share/lintian/overrides directories.
  * Convert copyright and doc-base files in utf8.
  * Updated copyright file.

 -- Samuel Mimram <smimram@debian.org>  Mon, 09 Jun 2008 00:24:20 +0200

ocamlsdl (0.7.2-7) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * It is not necessary anymore to remove rpath.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:19:06 +0200

ocamlsdl (0.7.2-6) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:50:09 +0000

ocamlsdl (0.7.2-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:49:57 +0100

ocamlsdl (0.7.2-4) unstable; urgency=low

  * Added forgotten dependency on ocaml-findlib.
  * Using chrpath to remove rpaths.
  * Removed lintian overrides.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Nov 2005 21:22:27 +0100

ocamlsdl (0.7.2-3) unstable; urgency=low

  * New maintainer.
  * Updated package to OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI in the package.
  * No longer build-conflicting with ocaml-findlib.
  * Updated watch file.
  * Updated standards version to 3.6.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Nov 2005 21:39:25 +0100

ocamlsdl (0.7.2-2) unstable; urgency=low

  * debian/libsdl-ocaml-dev.doc-base: move documentation from `Devel'
    to `Apps/Programming' section. Closes: Bug#311121.

 -- Jerome Marant <jerome@debian.org>  Sat,  4 Jun 2005 12:15:52 +0200

ocamlsdl (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Built against ocaml 3.08.3. Closes: Bug#304166.
  * debian/control:
    - Changed ocaml build-dependency to ocaml-3.08.3.
    - [libsdl-ocaml-dev]: changed ocaml dependency to ocaml-nox-3.08.3.
    - [libsdl-ocaml]: changed ocaml dependency to ocaml-base-nox-3.08.3.
  * debian/libsdl-ocaml{,-dev}.overrides: updated with respect to ocaml 3.08.3.
  * debian/patches/sdltimer-delay-fix.dpatch: new patch from upstream
    fixing a crash in Sdltimer.delay.

 -- Jerome Marant <jerome@debian.org>  Tue, 12 Apr 2005 21:51:25 +0200

ocamlsdl (0.7.1-2) unstable; urgency=medium

  * debian/samples: removed examples since they are no longer provided
    upstream and of a too low quality.
  * debian/rules:
    - Removed installation of examples.
    - Install META file from the upstream tarball rather than the
      one we have provided so far.
  * debian/control: got rid of sharutils build-dependency.

 -- Jerome Marant <jerome@debian.org>  Tue,  3 Aug 2004 22:53:02 +0200

ocamlsdl (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Built against ocaml 3.08.0.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.1.
    - Changed liblablgl build-dependency version to >= 1.01-1.
    - Changed ocaml build-dependency to ocaml-3.08.
    - Build conflict on ocaml-findlib: findlib really makes a hard time
      to install libraries, better use the traditional way.
    - Added build-dependency on dpatch.
    - [libsdl-ocaml-dev]: changed ocaml dependency to ocaml-nox-3.08.
    - [libsdl-ocaml]: changed ocaml dependency to ocaml-base-nox-3.08.
    - Added build-dependency on sharutils since we need uudecode for images
      and fonts from imported samples.
  * debian/libsdl-ocaml{,-dev}.overrides: updated with respect to ocaml 3.08.0.
  * debian/libsdl-ocaml.files: likewise.
  * debian/META: likewise.
  * debian/rules.patch: removed since we use dpatch now.
  * debian/samples: imported samples from the previous upstream
    release since they are no longer distributed in upstream tarballs.

 -- Jerome Marant <jerome@debian.org>  Wed, 28 Jul 2004 22:47:39 +0200

ocamlsdl (0.6.3-2) unstable; urgency=low

  * Rebuilt against ocaml 3.07.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.
    - Changed binary dependencies and build dependencies with
      respect to ocaml 3.07.

