## ocamlsdl 0.9.0

=== debian/changelog ===
ocamlsdl (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #667447)
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Jun 2012 12:06:00 +0200

ocamlsdl (0.8.0-4) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662449)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Mar 2012 21:25:32 +0100

ocamlsdl (0.8.0-3) unstable; urgency=low

  * Add dependency to libsdl-gfx1.2-dev (Closes: #638014)
  * Bump debhelper compat to 8, rewrite debian/rules using overrides
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Aug 2011 22:10:37 +0200
