=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
  Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9.1),
  ocaml-nox (>= 3.11),
- libpng12-dev,
+ libpng-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-image1.2-dev,
  libsdl-ttf2.0-dev,
+ libsdl-gfx1.2-dev,
  liblablgl-ocaml-dev (>= 1.04),
  ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://ocamlsdl.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlsdl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlsdl.git
@@ -29,6 +30,7 @@
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
+ libsdl-gfx1.2-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
