## ocamlsdl 0.9.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-# $Id: Makefile,v 1.20 2005/01/30 22:31:44 oliv__a Exp $
+# $Id: Makefile,v 1.24 2010/04/19 21:01:14 oliv__a Exp $
 
 all doc clean install:
 	$(MAKE) -C src $@
@@ -35,17 +35,16 @@
 endif
 
 DISTSRC := AUTHORS COPYING INSTALL INSTALL.win32 README README.macosx NEWS \
-           Makefile META \
+           Makefile META.in \
            configure.in aclocal.m4 configure \
-           makefile.config.gcc.in makefile.config.msvc makefile.rules makefile.platform \
+           makefile.platform.in makefile.config.gcc.in makefile.config.msvc makefile.rules \
            support/install-sh support/ocaml.m4 support/config.sub support/config.guess \
 	   src/sdl*.ml src/sdl*.mli src/sdl*.c src/sdl*.h \
            src/common.c src/common.h src/mlsdl_main.c \
            src/config.h.in src/config.h.msvc \
 	   src/Makefile src/.depend src/.depend_c \
-           doc/OCamlMakefile doc/Makefile doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
+           doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
            doc/html xpm_to_ml
-VERSION := 0.7.2
 
 # hackish targets to build tarballs
 dist : dist-zip dist-tgz
@@ -55,7 +54,7 @@
 ../ocamlsdl-$(VERSION).zip : $(DISTSRC)
 	export DIRNAME=$${PWD##*/} ; \
 	cd .. && mv $$DIRNAME ocamlsdl-$(VERSION) && \
-        zip -9l $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
+        zip -9rl $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
 	mv ocamlsdl-$(VERSION) $$DIRNAME 
 ../ocamlsdl-$(VERSION).tar.gz : $(DISTSRC)
 	export DIRNAME=$${PWD##*/} ; \
