=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-VERSION := 0.7.2
-
 include ../makefile.platform
 include ../makefile.config.$(OCAML_C_BACKEND)
 include ../makefile.rules
@@ -15,6 +13,7 @@
 loader_MODULES = sdlloader
 mixer_MODULES  = sdlmixer
 ttf_MODULES    = sdlttf
+gfx_MODULES    = sdlgfx
 
 TARGETS  = sdl.cma $(patsubst %,sdl%.cma,$(PARTS))
 TARGETS += libsdlstub.$(A) $(patsubst %,libsdl%stub.$(A),$(PARTS))
@@ -52,6 +51,13 @@
 libsdlttfstub.$(A) dllsdlttfstub.so : $(call STUB_OBJS,ttf)
 	$(call MKCLIB,sdlttf,sdlttfstub,$^,$(call SYSLIB,SDL_ttf))
 
+sdlgfx.cma : $(call ML_OBJS,gfx)
+	$(call MKCMA,sdlgfx,sdlgfxstub,$^,$(call SYSLIB,SDL_gfx))
+sdlgfx.cmxa : $(call ML_OPT_OBJS,gfx)
+	$(call MKCMXA,sdlgfx,sdlgfxstub,$^,$(call SYSLIB,SDL_gfx))
+libsdlgfxstub.$(A) dllsdlgfxstub.so : $(call STUB_OBJS,gfx)
+	$(call MKCLIB,sdlgfx,sdlgfxstub,$^,$(call SYSLIB,SDL_gfx))
+
 
 LABLGLINC = $(if $(LABLGLDIR),-I $(LABLGLDIR))
 sdlgl.cm% :  MLINC=$(LABLGLINC)
@@ -84,7 +90,7 @@
           $(if $(OCAMLOPT),*.cmxa sdl*.$(A) *.cmx) \
           $(if $(OCAMLMKLIB),dll*.so)
 ifeq ($(PLATFORM),Apple)
-	$(RANLIB) $$($(OCAMLFIND) printconf destdir)/*.$(A)
+	$(RANLIB) $$($(OCAMLFIND) printconf destdir)/sdl/*.$(A)
 endif
 else
 install-findlib : ; $(error "findlib is not installed")
