=== debian/changelog ===
ocamlsdl (0.9.1-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:14:57 +0100

ocamlsdl (0.9.1-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:03:01 +0200

ocamlsdl (0.9.1-3) unstable; urgency=medium

  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Sep 2019 09:38:48 +0200

ocamlsdl (0.9.1-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:25:47 +0100

ocamlsdl (0.9.1-1) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 21:54:08 +0200
