=== debian/control ===
--- 
+++ 
@@ -3,25 +3,24 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9.1),
- ocaml-nox (>= 3.11),
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml,
  libpng-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-image1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl-gfx1.2-dev,
- liblablgl-ocaml-dev (>= 1.04),
- ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.9.3
+ liblablgl-ocaml-dev,
+ ocaml-findlib
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: http://ocamlsdl.sourceforge.net
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlsdl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlsdl.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlsdl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlsdl
 
 Package: libsdl-ocaml-dev
 Architecture: any
