=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
OCAMLSDL=$(CURDIR)/debian/libsdl-ocaml
OCAMLSDLDEV=$(OCAMLSDL)-dev

%:
	dh $@ --with ocaml

override_dh_autoreconf:
# Fails because of missing configure.ac

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

override_dh_auto_clean:
	[ ! -f makefile.config.gcc ] || $(MAKE) clean
	rm -f config.log config.status
	rm -f makefile.config.gcc src/config.h

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

override_dh_installchangelogs:
	dh_installchangelogs NEWS
